Name:           microdnf
Version:        2
Release:        %mkrel 4
Summary:        Minimal C implementation of DNF
Group:          System/Packaging
License:        GPLv3+
URL:            https://github.com/rpm-software-management/microdnf
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Backports from upstream
Patch0001:      0001-print-downloading-packages-only-once.patch
Patch0002:      0002-do-not-fail-on-empty-transactions.patch

BuildRequires:  gcc
BuildRequires:  meson >= 0.36.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.20.0
BuildRequires:  pkgconfig(libdnf) >= 0.7.0

%description
Micro DNF is a very minimal C implementation of DNF's install, upgrade,
remove, and clean commands, designed to be used for doing simple
packaging actions in containers when you don't need full-blown DNF and
you want the tiniest useful containers possible.

That is, you don't want any interpreter stack and you want the most
minimal environment possible so you can build up to exactly what you need.

This is not a substitute for DNF for real systems, and many of DNF's
capabilities are intentionally not implemented in Micro DNF.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}



%changelog
* Mon Mar 20 2017 ngompa <ngompa> 2-4.mga6
+ Revision: 1093746
- Update summary and description to be more useful

* Mon Mar 20 2017 ngompa <ngompa> 2-3.mga6
+ Revision: 1093739
- Port package to Mageia
- Backport patches from upstream
- imported package microdnf

